using Common.Domain.Abstractions;
using MediatR;

namespace Modules.User.Application.DomainEvents.MediatrDomainEvents;

public class DomainEventNotification<TDomainEvent>(TDomainEvent domainEvent) : INotification
    where TDomainEvent : IDomainEvent
{
    public TDomainEvent DomainEvent { get; } = domainEvent;
}